Skip to main content

1. Get your credentials

Log in to the Dashboard and go to Settings → API Keys.

2. Authenticate

curl -X POST https://gateway.verify-group.io/api/v1/auth/login \
  -H "Content-Type: application/json" \
  -d '{"email":"your@email.com","password":"yourpassword"}'
Response:
{
  "data": {
    "accessToken": "eyJhbGciOiJSUzI1NiJ9...",
    "refreshToken": "...",
    "expiresIn": 3600
  }
}

3. Include your organization header

export ACCESS_TOKEN="eyJhbGciOiJSUzI1NiJ9..."
export ORG_ID="cfa70c25-1800-4748-97b0-ce675940a537"

curl https://gateway.verify-group.io/api/v1/participants \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "X-Organization-ID: $ORG_ID"

4. Run a KYC verification

curl -X POST https://gateway.verify-group.io/api/v1/kyc \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "X-Organization-ID: $ORG_ID" \
  -H "Content-Type: application/json" \
  -d '{
    "participant_id": "<uuid>",
    "type": "individual",
    "scenario": "identity",
    "payload": {
      "identifier_type": "national_id",
      "identifier_number": "12345678",
      "country": "KE"
    }
  }'
You have completed your first identity verification!

Authentication

JWT refresh flow and token management.

Claims guide

Create and process claims end-to-end.

Sanctions screening

Screen against global watchlists.

JavaScript SDK

Use the typed SDK.